Prepends nodes before the first child node

- « DOMParentNode::append

- DOMParentNode::replaceChildren »

- PHP Manual
- DOMParentNode
- Prepends nodes before the first child node

# DOMParentNode::prepend

(PHP 8)

DOMParentNode::prepend — Prepends nodes before the first child node

### Description

public DOMParentNode::prepend(DOMNode|string `...$nodes`): void

Prepends one or many `nodes` to the list of children before the first child node.

### Parameters

`nodes`

  The nodes to prepend. Strings are automatically converted to text nodes.

### Return Values

No value is returned.

### Errors/Exceptions

`DOM_HIERARCHY_REQUEST_ERR`

  Raised if this node is of a type that does not allow children of the type of one of the passed `nodes`, or if the node to put in is one of this node's ancestors or this node itself.

`DOM_WRONG_DOCUMENT_ERR`

  Raised if one of the passed `nodes` was created from a different document than the one that created this node.

### Changelog

Version | Description
--- | ---
8.3.0 | Calling this method on a node without an owner document now works. Previously this threw a DOMException with code `DOM_HIERARCHY_REQUEST_ERR`.

### See Also

- DOMParentNode::append() - Appends nodes after the last child node